Bug 1396063 - Cloud Intel->Timelines shows several reports selected.
Summary: Cloud Intel->Timelines shows several reports selected.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard: ui:widget:usability
: 1398014 1466440 (view as bug list)
Depends On:
Blocks: 1398014 1466440
TreeView+ depends on / blocked
 
Reported: 2016-11-17 11:45 UTC by Ievgen Zapolskyi
Modified: 2017-06-30 06:37 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1398014 1466440 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:24:12 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot (103.25 KB, image/png)
2016-11-17 11:45 UTC, Ievgen Zapolskyi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1466637 None None None Never
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Internal Links: 1466637

Description Ievgen Zapolskyi 2016-11-17 11:45:41 UTC
Created attachment 1221528 [details]
screenshot

Description of problem:
When Cloud Intel->Timelines view is opened, it shows all accordion sections open.
So, it is possible to  select several reports at the same time(see screenshot).


Version-Release number of selected component (if applicable):
5.7.0.11

How reproducible:
100%

Steps to Reproduce:
1. Open Cloud Intel ->Timelines
2. Try to select one report in every accordion section

Actual results:
All accordion sections are opened. It is possible to select one report is each section.

Expected results:
One accordion section should be open

Additional info:

Comment 4 Ievgen Zapolskyi 2016-11-23 22:37:07 UTC
*** Bug 1398014 has been marked as a duplicate of this bug. ***

Comment 5 Ievgen Zapolskyi 2016-11-23 22:37:48 UTC
This issue is also present in 5.6.

Comment 7 CFME Bot 2017-01-05 16:13:01 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/3c9d35a1e117a02c0a22993a5e74ef00fb4722d4

commit 3c9d35a1e117a02c0a22993a5e74ef00fb4722d4
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Jan 4 13:48:08 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Jan 4 14:30:08 2017 +0100

    Merge all timeline accordions under a single tree
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1396063

 app/controllers/application_controller/timelines.rb | 10 +++++++---
 app/views/layouts/listnav/_timeline.html.haml       | 21 +++++++++------------
 2 files changed, 16 insertions(+), 15 deletions(-)

Comment 9 errata-xmlrpc 2017-05-31 14:24:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367

Comment 10 Dave Johnson 2017-06-29 21:07:43 UTC
*** Bug 1466440 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.